> For the complete documentation index, see [llms.txt](https://developers.phantommovies.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.phantommovies.com/api-reference/tv.md).

# Tv

## Search Movie

## Search Tv Series.

<mark style="color:blue;">`GET`</mark> `https://api.phantommovies.com/3/tv/series`

Search for a Tv Series.

#### Query Parameters

| Name                                          | Type   | Description                       |
| --------------------------------------------- | ------ | --------------------------------- |
| accessToken<mark style="color:red;">\*</mark> | String | Your API Key                      |
| title<mark style="color:red;">\*</mark>       | String | Series `title` being searched for |

{% tabs %}
{% tab title="200 Series Found" %}

<pre class="language-javascript"><code class="lang-javascript">{
    title: "Halo",
    cover: "https://www.themoviedb.org/t/p/original/nJUHX3XL1jMkk8honUZnUmudFb9.jpg",
<strong>    banner: "https://www.themoviedb.org/t/p/original/1qpUk27LVI9UoTS7S0EixUBj5aR.jpg",
</strong>    trailer: "https://youtu.be/WZ2v5eMlcrY",
    description: "Depicting an epic 26th-century conflict between humanity and an alien threat known as the Covenant, the series weaves deeply drawn personal stories with action, adventure and a richly imagined vision of the future.",
    totalSeasons: "1",
    releaseYear: "2022",
    primegenre: "Sci-Fi",
<strong>    genres: {
</strong>        genre: [
            "Action",
<strong>            "Adventure",
</strong><strong>            "Sci-Fi",
</strong>            "Fantasy"
<strong>        ]
</strong>    },
    seasons: [],
<strong>    statistics: {
</strong>        views: 139,
        votes: 0
    },
    url: "https://phantommovies.com/tv/series/Halo"
}
</code></pre>

{% endtab %}

{% tab title="401 Permission denied" %}

```javascript
{
    status: "nothing_found",
    message: "No movies found."
}
```

{% endtab %}
{% endtabs %}

Search Tv Series using our official library, `node`:

{% tabs %}
{% tab title="searchMovie()" %}

```javascript
API.searchTvSeries("title").then((res) => {
	console.log(res);
});
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.phantommovies.com/api-reference/tv.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
